Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::Norm::Normalizer< LatType::ORDINARY, NORM > Class Template Reference

Specialization of LatType::Normalizer for ordinary lattices. More...

`#include <Normalizer.h>`

Inherits LatBuilder::BasicMeritFilter< LatType::ORDINARY >.

## Public Types
typedef Real | MeritValue
typedef LatBuilder::LatDef < LatType::ORDINARY > | LatDef
typedef NORM | Norm
Public Types inherited from LatBuilder::BasicMeritFilter< LatType::ORDINARY >
typedef MeritFilterTraits< LAT > ::MeritValue | InputMeritValue
typedef MeritFilterTraits< OUT > ::MeritValue | OutputMeritValue
typedef LatBuilder::LatDef< LAT > | LatDef

## Public Member Functions
| Normalizer (Norm norm)
| Constructor. More...
MeritValue | operator() (const MeritValue &merit, const LatDef &lat) const
| Normalizes the values in `merit`. More...
const Norm & | norm () const
std::string | name () const
Public Member Functions inherited from LatBuilder::BasicMeritFilter< LatType::ORDINARY >
virtual OutputMeritValue | operator() (const InputMeritValue &, const LatDef &) const =0

## Detailed Description

### template<class NORM>
class LatBuilder::Norm::Normalizer< LatType::ORDINARY, NORM >

Specialization of LatType::Normalizer for ordinary lattices.

## Constructor & Destructor Documentation

template<class NORM >

LatBuilder::Norm::Normalizer< LatType::ORDINARY, NORM >::Normalizer | ( | Norm | norm | ) |
| inline

Constructor.

Parameters

  norm | Normalization function.

## Member Function Documentation

template<class NORM >

Real LatBuilder::Norm::Normalizer< LatType::ORDINARY, NORM >::operator() | ( | const MeritValue & | merit,
|  | const LatDef & | lat
| ) |  | const

Normalizes the values in `merit`.

Returns `true`.

References LatBuilder::LatDef< LAT >::dimension(), and LatBuilder::LatDef< LAT >::sizeParam().

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Norm/Normalizer.h